# playkit-js-taxonomy-transcript

playkit-js-taxonomy-transcript is a Kaltura player plugin that renders a side-panel alongside that shows the video's transcript with the ability to highlight key terms mentioned in the media.

## Features

  - Displays transcript
  - Search in the transcript
  - Highlight key terms mentioned in the media or search keyword
    
## Getting started with development

```sh
# First, checkout the repository and install the required dependencies
git clone https://github.com/Kaltura-PS/playkit-js-taxonomy-transcript.git

# Navigate to the repo dir
cd playkit-js-taxonomy-transcript

# Install dependencies
yarn

# Before submitting a PR - Run the pre commit command
yarn run precommit

# this command will run:

# 1. types check
# 2. lint check
# 3. generate/update types
# 4. generate/update docs
```

The dev server will host files on port 8080. Once started, the demo can be found running at http://localhost:8080/.


### Linter (ESlint)

Run linter:

```
yarn run lint:check
```

Run linter with auto-fix mode:

```
yarn run lint:fix
```

### Formatting Code

Run prettier to format code

```
yarn run prettier:fix
```

### Type Check

Run type-check to verify TypeScript types

```
yarn run types:check
```

### Automated tests (Mocha/Karma)

Run all tests at once:

```
yarn test
```

Run unit tests in watch mode:

```
yarn run test:watch
```

## Usage guide

[usage guide](./docs/guide.md)

## License

playkit-js-taxonomy-transcript is released under [Apache 2.0 License](LICENSE)