import { DataProvider } from '../providers/data-provider';
import type { TaxonomyTranscriptConfig } from '../types';

export class DataService {
  private dataProvider: DataProvider;
  private player: KalturaPlayerTypes.Player;
  private config: TaxonomyTranscriptConfig;
  private logger: KalturaPlayerTypes.Logger;

  constructor(player: KalturaPlayerTypes.Player, config: TaxonomyTranscriptConfig, logger: KalturaPlayerTypes.Logger) {
    this.player = player;
    this.config = config;
    this.logger = logger;
    this.dataProvider = new DataProvider({
      config,
      logger,
      player,
      entryId: this.player.sources.id
    });
  }
}
